## iview.pl: Anzeigen und Bearbeiten von Dateien

### Verwendung

iview.pl ist ein Perl-Skript, mit dem Sie Modul- und Beschreibungsdateien anzeigen und bearbeiten. Als Editor wird das Programm verwendet, das in der Umgebungsvariable $EDITOR angegeben ist.

iview.pl [-l <level>] <file>

Parameter

Name | Beschreibung
<file> | Datei, die geöffnet werden soll Geben Sie nicht den vollständigen Pfad, sondern nur den Dateinamen an. Die Namenskonventionen für Dateien stellen sicher, dass der Dateiname eindeutig ist.
-l <level> | Zugriff auf diejenige Version der Datei, die sich in der Suchhierarchie an der Stelle <level> befindet

Das Skript geht folgendermaßen vor:

· Wenn sich die Datei <file> im Unterverzeichnis src oder desc im Entwicklungsbereich MaxDB_DEV befindet, dann wird sie direkt von dort geöffnet und kann bearbeitet werden.

· Wenn sich die Datei nicht im Entwicklungsbereich befindet, dann sucht das Skript sie anhand der Suchhierarchie und kopiert die Datei zum Anzeigen in das Unterverzeichnis tmp im Entwicklungsbereich MaxDB_DEV.

Änderungen an einer Datei können nur dann übersetzt werden, wenn die Datei zuvor mit dem Skript icp.pl in den Entwicklungsbereich kopiert und dort geändert wurde.

### Beispiel

iview.pl dbmcli.lnk

Siehe auch:

Verzeichnisstruktur der Entwicklungsumgebung